import '../../stencil.core';
import { EventEmitter } from '../../stencil.core';
import { AnimationLoadedEventData, LottieAnimationLoader, LottieConfigCreator } from '../..';
export declare class LottieAnimationComponent {
    animationContainerElement: HTMLDivElement;
    lottieAnimation: Lottie.AnimationItem;
    lottieAnimationLoader: LottieAnimationLoader;
    lottieConfigCreator: LottieConfigCreator;
    /**
     * start animation automatically
     */
    autoplay: boolean;
    /**
     * data JSON
     */
    dataJson: {};
    onDataJsonChange(value: any): void;
    /**
     * loop animation
     */
    loop: boolean;
    /**
     * data JSON location
     */
    src: string;
    onSrcChange(value: any): void;
    /**
     * triggered when the animation is loaded
     * (event.detail.animation contains the Lottie animation item).
     */
    onAnimationLoaded: EventEmitter;
    componentDidLoad(): void;
    /**
     * plays the animation
     */
    play(): void;
    /**
     * stops the animation
     */
    stop(): void;
    /**
     * sets the animation progress to a certain point (0..1)
     */
    progress(progress: number): void;
    /**
     * sets the speed of the animation
     */
    setSpeed(speed: number): void;
    /**
     * sets the direction of the animation
     */
    setDirection(direction: number): void;
    /**
     * plays the animation until a certain frame, or time
     */
    goToAndStop(value: number, isFrame?: boolean): void;
    /**
     * gets the number of frames
     */
    getTotalFrames(): Promise<number>;
    updateSrc(src: string): void;
    updateDataJson(dataJson: object): void;
    emitOnAnimationLoadedEvent(data: AnimationLoadedEventData<Lottie.AnimationItem>): void;
    render(): JSX.Element;
}
