import '../../stencil.core';
import { EventEmitter } from '../../stencil.core';
import { AnimationLoadedEventData } from '../..';
export declare class LottieScrollComponent {
    wrapperElement: HTMLElement;
    animationContainerElement: HTMLDivElement;
    /**
     * data JSON location
     */
    src: string;
    /**
     * the speed of the animation
     */
    speed: number;
    /**
     * If `true` it's only playing the animation, while if it's `false` the animation follows the scroll progression.
     */
    playthrough: boolean;
    /**
     * triggered when the scroll position enters the active area
     */
    onAnimationStart: EventEmitter<void>;
    /**
     * triggered when the scroll position leaves the active area
     * (in playthrough mode when the animation goes out at the bottom of the viewport).
     */
    onAnimationStop: EventEmitter<void>;
    scrollController: any;
    lottieAnimationComponent: HTMLLottieAnimationElement;
    onAnimationLoaded(event: CustomEvent<AnimationLoadedEventData<Lottie.AnimationItem>>): Promise<void>;
    addAnimation(): Promise<void>;
    render(): JSX.Element;
}
